### Constructor

# WebKit2 WebView new_with_context

#### Declaration [src]

    GtkWidget*
    webkit_web_view_new_with_context (
      WebKitWebContext* context
    )

#### Description [src]

Creates a new `WebKitWebView` with the given `WebKitWebContext`.

Creates a new `WebKitWebView` with the given `WebKitWebContext` and no `WebKitUserContentManager` associated with it. See also `webkit_web_view_new_with_user_content_manager()` and webkit_web_view_new_with_settings().

#### Parameters

`context`

  Type: `WebKitWebContext`

  The `WebKitWebContext` to be used by the `WebKitWebView`.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

The newly created `WebKitWebView` widget.

The data is owned by the called function.